<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/15
 * Time: 17:08
 */
namespace  App\Transformers\Post;

use App\Models\PostComment;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class ReplyTransformer extends TransformerAbstract
{

    public function transform(PostComment $postComment)
    {
        return [
            'id' => $postComment['id'],
            'uid' => $postComment['uid'],
            'username' => $postComment['username'],
            'reply_username' => $postComment['reply_username'],
            'avatar' => $postComment['avatar'],
            'content' => $postComment['is_delete']?'该回复已被删除':$postComment['content'],
            'created_at' => Carbon::parse($postComment['created_at'])->diffForHumans(),
        ];
    }
}